import yargs from 'yargs';

import new_branch from './commands/new_branch'

yargs(process.argv.slice(2))
    .command( 'new [branch_name]', 'create new mikado branch', yargs => {
        yargs.positional('branch_name', {describe: 'name of the new branch', required: true} )
    },
    new_branch
    )
    .fail((msg,err,yargs) => {
        const message = msg || err.message;
        console.error(message);
        process.exit(1);
    })
    .argv;
